package com.example.acapendulum20.fragments.list

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.navigation.findNavController
import androidx.recyclerview.widget.RecyclerView
import com.example.acapendulum20.R
import com.example.acapendulum20.fragments.pendulum.PendulumFragmentDirections
import com.example.acapendulum20.model.Measurement
import com.example.acapendulum20.model.User
import kotlinx.android.synthetic.main.custom_row.view.*
import kotlinx.android.synthetic.main.custom_row_measurement.view.*
import java.util.*

class SessionList: RecyclerView.Adapter<SessionList.MyViewHolder>() {

    private var sessionList = emptyList<Measurement>()

    class MyViewHolder(itemView: View): RecyclerView.ViewHolder(itemView) {

    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): MyViewHolder {
        return MyViewHolder(LayoutInflater.from(parent.context).inflate(R.layout.custom_row_measurement, parent, false))
    }

    override fun getItemCount(): Int {
        return sessionList.size
    }

    override fun onBindViewHolder(holder: MyViewHolder, position: Int) {
        val currentItem = sessionList[position]
        holder.itemView.nr_txt.text = (position+1).toString()
        holder.itemView.dateStart_txt.text = Date(currentItem.startTime).toString()
        holder.itemView.dateEnd_txt.text = Date(currentItem.endTime).toString()
        holder.itemView.targetVelocity_txt.text = currentItem.targetVelocity.toString()
        holder.itemView.velocity_txt.text = currentItem.measuredVelocity.toString()
        holder.itemView.maxTime_txt.text = currentItem.maxAttemptTime.toString()
        holder.itemView.time_txt.text = currentItem.measuredTime.toString()
    }

    fun setData(measurement: List<Measurement>){
        this.sessionList = measurement
        notifyDataSetChanged()
    }

}

